require 'rpcjson'

module Rallet
  class Client
    attr_reader :client

    def initialize(service_url, rpc_version = 1.1)
      @client = RPC::JSON::Client.new(service_url, rpc_version)
    end

    # Call any method with any args from RPC service
    def request(name, *args)
      client.send(name, *args)
    end
  end
end